﻿var Promise = require('promise'),
    util = require('util');

function None(cfg) {
    this.getCfg = function getCfg() {
        return cfg;
    }
}

None.prototype.detectCommitVersion = function detectCommitVersion(handlerParams) {
    var cfg = this.getCfg();
    var p = new Promise(function (resolve, reject) {
        var commit = "N/A";
        resolve(commit);
    });
    return p;
}

None.prototype.getBranchHistory = function getBranchHistory(handlerParams) {
    var cfg = this.getCfg();
    var p = new Promise(function (resolve, reject) {
        resolve({
            commitHistory: [],
            commitLog: []
        });
    });
    return p;
}

None.prototype.getRepositoryUrl = function getRepositoryUrl() {
    return Promise.resolve('');
}

module.exports = None;